#ifndef DVIESECONDARYWINDOW_H
#define DVIESECONDARYWINDOW_H

#include <QMainWindow>

QT_BEGIN_NAMESPACE
namespace Ui {
class dvieSecondaryWindow;
}
QT_END_NAMESPACE

class TransparentMask;
class DvieMainWindow;
class Dashboard;
class DashboardFrame;

class DvieSecondaryWindow : public QMainWindow
{
    Q_OBJECT

public:
    DvieSecondaryWindow(const QString&, QWidget *parent = nullptr);
    ~DvieSecondaryWindow();

    void showTransparentMask();
    void hideTransparentMask();

    QString name();
    DashboardFrame* dashboardFrame();
    DashboardFrame* getDashboardFrame(const QString&);
    void creatSecondaryWindowAndAddDashboard(QPoint, Dashboard*);
    void setMainWindow(DvieMainWindow*);

protected:
    virtual void closeEvent(QCloseEvent*) override;
    virtual void resizeEvent(QResizeEvent*) override;

private:
    Ui::dvieSecondaryWindow*  ui;
    TransparentMask*          m_pTransparentMask;
    QString                   m_strName;
    DvieMainWindow*           m_pMainWindow;
    DashboardFrame*           m_pDashboardFrame;
};

#endif
